#
# Makefile generated by MKF configure script
#

all: RegisterFile_Monolithic_0.ngc RegisterFile_Monolithic_1.ngc RegisterFile_Monolithic_2.ngc RegisterFile_Monolithic_3.ngc RegisterFile_Monolithic_4.ngc RegisterFile_Monolithic_5.ngc RegisterFile_Monolithic_6.ngc

RegisterFile_Monolithic_0.ngc: RegisterFile_Monolithic_0.prj
	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_0 -ifn RegisterFile_Monolithic_0.prj -ofn RegisterFile_Monolithic_0.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst

RegisterFile_Monolithic_0.prj: RegisterFile_Monolithic_0_Pack.vhdl RegisterFile_Monolithic_0.vhdl
	for i in RegisterFile_Monolithic_0_Pack.vhdl RegisterFile_Monolithic_0.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_0.prj

RegisterFile_Monolithic_0_Pack.vhdl:

RegisterFile_Monolithic_0.vhdl:

RegisterFile_Monolithic_1.ngc: RegisterFile_Monolithic_1.prj
	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_1 -ifn RegisterFile_Monolithic_1.prj -ofn RegisterFile_Monolithic_1.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst

RegisterFile_Monolithic_1.prj: RegisterFile_Monolithic_1_Pack.vhdl RegisterFile_Monolithic_1.vhdl
	for i in RegisterFile_Monolithic_1_Pack.vhdl RegisterFile_Monolithic_1.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_1.prj

RegisterFile_Monolithic_1_Pack.vhdl:

RegisterFile_Monolithic_1.vhdl:

RegisterFile_Monolithic_2.ngc: RegisterFile_Monolithic_2.prj
	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_2 -ifn RegisterFile_Monolithic_2.prj -ofn RegisterFile_Monolithic_2.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst

RegisterFile_Monolithic_2.prj: RegisterFile_Monolithic_2_Pack.vhdl RegisterFile_Monolithic_2.vhdl
	for i in RegisterFile_Monolithic_2_Pack.vhdl RegisterFile_Monolithic_2.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_2.prj

RegisterFile_Monolithic_2_Pack.vhdl:

RegisterFile_Monolithic_2.vhdl:

RegisterFile_Monolithic_3.ngc: RegisterFile_Monolithic_3.prj
	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_3 -ifn RegisterFile_Monolithic_3.prj -ofn RegisterFile_Monolithic_3.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst

RegisterFile_Monolithic_3.prj: RegisterFile_Monolithic_3_Pack.vhdl RegisterFile_Monolithic_3.vhdl
	for i in RegisterFile_Monolithic_3_Pack.vhdl RegisterFile_Monolithic_3.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_3.prj

RegisterFile_Monolithic_3_Pack.vhdl:

RegisterFile_Monolithic_3.vhdl:

RegisterFile_Monolithic_4.ngc: RegisterFile_Monolithic_4.prj
	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_4 -ifn RegisterFile_Monolithic_4.prj -ofn RegisterFile_Monolithic_4.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst

RegisterFile_Monolithic_4.prj: RegisterFile_Monolithic_4_Pack.vhdl RegisterFile_Monolithic_4.vhdl
	for i in RegisterFile_Monolithic_4_Pack.vhdl RegisterFile_Monolithic_4.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_4.prj

RegisterFile_Monolithic_4_Pack.vhdl:

RegisterFile_Monolithic_4.vhdl:

RegisterFile_Monolithic_5.ngc: RegisterFile_Monolithic_5.prj
	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_5 -ifn RegisterFile_Monolithic_5.prj -ofn RegisterFile_Monolithic_5.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst

RegisterFile_Monolithic_5.prj: RegisterFile_Monolithic_5_Pack.vhdl RegisterFile_Monolithic_5.vhdl
	for i in RegisterFile_Monolithic_5_Pack.vhdl RegisterFile_Monolithic_5.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_5.prj

RegisterFile_Monolithic_5_Pack.vhdl:

RegisterFile_Monolithic_5.vhdl:

RegisterFile_Monolithic_6.ngc: RegisterFile_Monolithic_6.prj
	echo run -keep_hierarchy yes -iobuf no -top RegisterFile_Monolithic_6 -ifn RegisterFile_Monolithic_6.prj -ofn RegisterFile_Monolithic_6.ngc -p xc5vlx330t-2ff1738 -ifmt mixed | xst

RegisterFile_Monolithic_6.prj: RegisterFile_Monolithic_6_Pack.vhdl RegisterFile_Monolithic_6.vhdl
	for i in RegisterFile_Monolithic_6_Pack.vhdl RegisterFile_Monolithic_6.vhdl ; do echo "vhdl work $$i" ; done > RegisterFile_Monolithic_6.prj

RegisterFile_Monolithic_6_Pack.vhdl:

RegisterFile_Monolithic_6.vhdl:

clean:
	rm -f RegisterFile_Monolithic_0.ngc
	rm -f RegisterFile_Monolithic_0.lso
	rm -f -r xst
	rm -f RegisterFile_Monolithic_0.prj
	rm -f RegisterFile_Monolithic_1.ngc
	rm -f RegisterFile_Monolithic_1.lso
	rm -f -r xst
	rm -f RegisterFile_Monolithic_1.prj
	rm -f RegisterFile_Monolithic_2.ngc
	rm -f RegisterFile_Monolithic_2.lso
	rm -f -r xst
	rm -f RegisterFile_Monolithic_2.prj
	rm -f RegisterFile_Monolithic_3.ngc
	rm -f RegisterFile_Monolithic_3.lso
	rm -f -r xst
	rm -f RegisterFile_Monolithic_3.prj
	rm -f RegisterFile_Monolithic_4.ngc
	rm -f RegisterFile_Monolithic_4.lso
	rm -f -r xst
	rm -f RegisterFile_Monolithic_4.prj
	rm -f RegisterFile_Monolithic_5.ngc
	rm -f RegisterFile_Monolithic_5.lso
	rm -f -r xst
	rm -f RegisterFile_Monolithic_5.prj
	rm -f RegisterFile_Monolithic_6.ngc
	rm -f RegisterFile_Monolithic_6.lso
	rm -f -r xst
	rm -f RegisterFile_Monolithic_6.prj

re: clean all

install:

